BAREBOX-STATE(1)

NAME
barebox-state - Manage Barebox's state in a device tree

SYNOPSIS
barebox-state [OPTIONS]

DESCRIPTION
The Barebox bootloader has a state framework that saves information in a device tree node. This program operates on that node.

OPTIONS

-g, --get <variable>
    get the value of a variable

-s, --set <variable>=<value>
    set the value of a variable

-n, --name <name>
    specify the state to use (default="state"). Multiple states are allowed.

-d, --dump
    dump the state

--dump-shell
    dump the state suitable for shell sourcing

-v, --verbose
    increase verbosity

-q, --quiet
    decrease verbosity

--help
    this help

SEE ALSO
dtblint(1)